package com.jz.dmp.modules.controller;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.jz.common.bean.BaseBeanResponse;
import com.jz.common.bean.BaseResponse;
import com.jz.common.bean.PageInfoResponse;
import com.jz.common.constant.StatuConstant;
import com.jz.dmp.modules.controller.bean.DmpDevelopTaskHistoryDto;
import com.jz.dmp.modules.controller.bean.DmpDevelopTaskHistoryRequest;
import com.jz.dmp.modules.service.DmpDevelopTaskHistoryService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;

/**
 * 任务历史版本Controller
 * @author ybz
 *
 */
@RestController
@RequestMapping("/dmp/develop/task/history")
@Api(tags = "任务历史版本")
public class DmpDevelopTaskHistoryController {
	
	@Autowired
	private DmpDevelopTaskHistoryService dmpDevelopTaskHistoryService;
	
	/**列表查询任务历史版本
	 * @param dmpDevelopTaskHistoryRequest
	 * @return
	 */
	@RequestMapping(method = RequestMethod.POST, value = "/findListWithPage")
	@ApiOperation(value = "分頁列表查询任务历史版本", notes = "分頁列表查询任务历史版本")
	public PageInfoResponse<DmpDevelopTaskHistoryDto> findListWithPage(@RequestBody DmpDevelopTaskHistoryRequest dmpDevelopTaskHistoryRequest, HttpServletRequest httpRequest){
		PageInfoResponse<DmpDevelopTaskHistoryDto> pageInfo = new PageInfoResponse<DmpDevelopTaskHistoryDto>();
		try {
			pageInfo = dmpDevelopTaskHistoryService.findListWithPage(dmpDevelopTaskHistoryRequest, httpRequest);
		} catch (Exception e) {
			pageInfo.setMessage("查询失败");
			pageInfo.setCode(StatuConstant.FAILURE_CODE);
			e.printStackTrace();
		}
		
		return pageInfo;
	}
	
	/**版本回滚
	 * @param dmpDevelopTaskHistoryRequest
	 * @return
	 */
	@RequestMapping(method = RequestMethod.GET, value = "/taskVersionRollback")
	@ApiOperation(value = "版本回滚", notes = "版本回滚")
	@ApiImplicitParam(name = "id", value = "任务历史版本主键")
	public BaseResponse taskVersionRollback(@RequestParam(name = "id", required = true ) Integer id, HttpServletRequest httpRequest){
		BaseResponse baseResponse = new BaseResponse();
		try {
			baseResponse = dmpDevelopTaskHistoryService.taskVersionRollback(id, httpRequest);
		} catch (Exception e) {
			baseResponse.setMessage("请求失败");
			baseResponse.setCode(StatuConstant.FAILURE_CODE);
			e.printStackTrace();
		}
		
		return baseResponse;
	}
	
}
