package com.jz.dmp.modules.controller;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.jz.common.annotation.MethodCallLogPrint;
import com.jz.common.bean.BaseBeanResponse;
import com.jz.common.constant.StatuConstant;
import com.jz.dmp.modules.controller.bean.DmpTableFieldSchemaDto;
import com.jz.dmp.modules.controller.bean.DmpTableFieldSchemaRequest;
import com.jz.dmp.modules.service.DmpTableFieldSchemaService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 项目表字段类型Controller
 * @author ybz
 *
 */
@RestController
@RequestMapping("/dmp/table/field/schema")
@Api(tags = "项目表字段类型")
public class DmpTableFieldSchemaController {
	
	@Autowired
	private DmpTableFieldSchemaService dmpTableFieldSchemaService;
	
	/**列表查询项目表字段类型
	 * @param dmpTableFieldSchemaRequest
	 * @return
	 */
	@MethodCallLogPrint
	@RequestMapping(method = RequestMethod.POST, value = "/findList")
	@ApiOperation(value = "列表查询项目表字段类型", notes = "列表查询项目表字段类型")
	public BaseBeanResponse<DmpTableFieldSchemaDto> findList(@RequestBody DmpTableFieldSchemaRequest dmpTableFieldSchemaRequest, HttpServletRequest httpRequest){
		BaseBeanResponse<DmpTableFieldSchemaDto> baseBeanResponse = new BaseBeanResponse<DmpTableFieldSchemaDto>();
		try {
			baseBeanResponse = dmpTableFieldSchemaService.findList(dmpTableFieldSchemaRequest, httpRequest);
		} catch (Exception e) {
			baseBeanResponse.setMessage("查询失败");
			baseBeanResponse.setCode(StatuConstant.FAILURE_CODE);
			e.printStackTrace();
		}
		
		return baseBeanResponse;
	}
	
}
